Subject: Re: bug#45854: 28.0.50; [feature/native-comp] autoload behavior different in the presence of errors

From: Mauricio Collares <[email-masked]>
Date: Fri, 22 Jan 2021 19:00:04 -0300

Andrea Corallo <[email-masked]> writes:
>
> Okay I probably did something wrong then.  I'm taking a look into the
> compile-time bugs now, I'll come back to this after that.

Many thanks and no hurry :) I just noticed that this bug has nothing to
do with autoloads, sorry for the red herring! You can replace
git-commitx.el by just

;;; git-commitx.el --- x  -*- lexical-binding: t; -*-

;; Package-Requires: ((emacs "25.1") (transientx "20200601"))
;; Package-Version: 20210102.1242

(require 'transientx)
(provide 'git-commitx)

;;; git-commitx.el ends here

together with transientx.el and elpa2nix.el from the previous email
and the difference of behaviour (compared to trunk) still exists.

Best,
Mauricio